package com.writeoff.module.meeting.dto;

import javax.validation.constraints.NotBlank;

public class MeetingLaborAgreementExtractApplyRequest {
    @NotBlank(message = "taskId不能为空")
    private String taskId;
    private Long existingExpertId;
    private Boolean updateExistingExpert;
    private String objectKey;
    private String fileName;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getExistingExpertId() {
        return existingExpertId;
    }

    public void setExistingExpertId(Long existingExpertId) {
        this.existingExpertId = existingExpertId;
    }

    public Boolean getUpdateExistingExpert() {
        return updateExistingExpert;
    }

    public void setUpdateExistingExpert(Boolean updateExistingExpert) {
        this.updateExistingExpert = updateExistingExpert;
    }

    public String getObjectKey() {
        return objectKey;
    }

    public void setObjectKey(String objectKey) {
        this.objectKey = objectKey;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
}
